BusinessSchedule (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.BusinessSchedule interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface BusinessSchedule

All Superinterfaces:
  ManagedElement, ModelObject, java.io.Serializable

    public interface BusinessSchedule

extends ManagedElement

Naming Rules:
  0="globalName" 1="managingEntity,scheduleName"
Persistable:
  true
Table Name:
  SCHEDULE
Display Name:
  scheduleName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getGlobalName()`
`OrganizationalEntity` | `getManagingEntity()`
`java.lang.String` | `getSchedule()`
`java.lang.String` | `getScheduleName()`
`boolean` | `hasGlobalName()`
`boolean` | `hasManagingEntity()`
`boolean` | `hasSchedule()`
`boolean` | `hasScheduleName()`
`void` | `setGlobalName(java.lang.String name)`
`void` | `setManagingEntity(OrganizationalEntity name)`
`void` | `setSchedule(java.lang.String schedule)`
`void` | `setScheduleName(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getManagingEntity

    OrganizationalEntity getManagingEntity()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Manages" reverse="true"

### setManagingEntity

    void setManagingEntity(OrganizationalEntity name)

### hasManagingEntity

    boolean hasManagingEntity()

### getScheduleName

    java.lang.String getScheduleName()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setScheduleName

    void setScheduleName(java.lang.String name)

### hasScheduleName

    boolean hasScheduleName()

### getGlobalName

    java.lang.String getGlobalName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setGlobalName

    void setGlobalName(java.lang.String name)

### hasGlobalName

    boolean hasGlobalName()

### getSchedule

    java.lang.String getSchedule()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSchedule

    void setSchedule(java.lang.String schedule)

### hasSchedule

    boolean hasSchedule()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD